[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]

  [[#if (urlParam "bookiri")]]
    [[> :templateBreadcrumb uri=":listBooks" label="Books"]]
    <li class="breadcrumb-item">
      <semantic-query
        query='SELECT ?book_name ?book WHERE { ?book ecrm:P3_has_note ?book_name . BIND(<[[urlParam "bookiri"]]> as ?book ) }'
        template='{{#each bindings}}
          <semantic-link uri="{{book.value}}" urlqueryparam-tab="parts">{{book_name.value}}</semantic-link>
        {{/each}}'
      >
      </semantic-query>
    </li>

    [[#if (urlParam "returniri")]]

      <li class="breadcrumb-item">
        <semantic-link
          uri="[[urlParam "returniri"]]"
          urlqueryparam-bookiri="[[urlParam "bookiri"]]"
        >Add Part to Book</semantic-link>
      </li>

    [[/if]]

  [[else]]

    [[> :templateBreadcrumb uri=":listParts" label="Parts"]]

  [[/if]]
</ol>

<h2>Create part</h2>

<bs-tabs class="semantic-form" [[#if (urlParam "tab")]]default-active-key="[[urlParam "tab"]]"[[/if]]>
  <bs-tab event-key="new" title="New Part">
    <semantic-form
      persistence='LDP'
      browser-persistence='false'
      [[#if (urlParam "bookiri")]]
        urlqueryparam-bookiri="[[urlParam "bookiri"]]"
      [[/if]]
      [[#if (urlParam "returniri")]]
        urlqueryparam-returniri="[[urlParam "returniri"]]"
      [[/if]]
      [[#if (urlParam "returntab")]]
        urlqueryparam-returntab="[[urlParam "returntab"]]"
      [[/if]]
      post-action="redirect"
      fields="[[fieldDefinitions
        custom_identifier="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/custom_identifier"
        expression_creation="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_expression_creation"
        expression_record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/F22_self-contained_expression_record_type"
        part_type_default="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_type_default"
        primary_title="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/primary_part_title"
        record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_record_type"
        short_title="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/short_title"
        work_record="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/work_record"
      ]]"
      subject=[[singleValueFromSelect "SELECT ?newIRI WHERE { BIND(uri(concat(\"http://sphaera.mpiwg-berlin.mpg.de/id/part/\",STRUUID())) as ?newIRI)}"]]
    >

      <semantic-form-text-input for="short_title">
      </semantic-form-text-input>

      <semantic-form-text-input for="primary_title">
      </semantic-form-text-input>

      <semantic-form-text-input for="custom_identifier"></semantic-form-text-input>

      <span class="disabled hidden-field">
        <semantic-form-text-input for="expression_creation"></semantic-form-text-input>
        <semantic-form-text-input for="expression_record_type"></semantic-form-text-input>
        <semantic-form-text-input for="record_type"></semantic-form-text-input>
        <semantic-form-text-input for="part_type_default"></semantic-form-text-input>
        <semantic-form-text-input for="work_record"></semantic-form-text-input>
      </span>

      <div class="text-right form-submit">

          [[#if (urlParam "bookiri" )]]
            [[#if (urlParam "attributeassignmentiri" )]]
              <semantic-link uri="[[urlParam "returniri"]]"
                urlqueryparam-attributeassignmentiri="[[urlParam "attributeassignmentiri"]]"
                urlqueryparam-bookiri="[[urlParam "bookiri"]]"
                [[#if (urlParam "returntab")]]
                  urlqueryparam-tab="[[urlParam "returntab"]]"
                  urlqueryparam-returntab="[[urlParam "returntab"]]"
                [[/if]]
                class="btn btn-default btn-md">Cancel</semantic-link>
            [[else]]
              <semantic-link uri="[[urlParam "returniri"]]"
                urlqueryparam-bookiri="[[urlParam "bookiri"]]"
                [[#if (urlParam "returntab")]]
                  urlqueryparam-tab="[[urlParam "returntab"]]"
                  urlqueryparam-returntab="[[urlParam "returntab"]]"
                [[/if]]
                class="btn btn-default btn-md">Cancel</semantic-link>
            [[/if]]
          [[/if]]
          <button name="submit" class="btn btn-primary btn-md">Save</button>

      </div>

    </semantic-form>
  </bs-tab>

  <bs-tab event-key="adaption" title="Adapted Part">
    <semantic-form
      persistence='LDP'
      browser-persistence='false'
      [[#if (urlParam "bookiri")]]
        urlqueryparam-bookiri="[[urlParam "bookiri"]]"
      [[/if]]
      [[#if (urlParam "returniri")]]
        urlqueryparam-returniri="[[urlParam "returniri"]]"
      [[/if]]
      [[#if (urlParam "returntab")]]
        urlqueryparam-returntab="[[urlParam "returntab"]]"
      [[/if]]
      post-action="redirect"
      fields="[[fieldDefinitions
        adaption_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/adaption_type"
        custom_identifier="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/custom_identifier"
        expression_creation="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_expression_creation"
        expression_record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/F22_self-contained_expression_record_type"
        primary_title="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/primary_part_title"
        record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_adaption_record_type"
        short_title="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/short_title"
        work_record="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/work_record"
      ]]"
      subject=[[singleValueFromSelect "SELECT ?newIRI WHERE { BIND(uri(concat(\"http://sphaera.mpiwg-berlin.mpg.de/id/adaption/\",STRUUID())) as ?newIRI)}"]]
    >

      <semantic-form-text-input for="short_title">
      </semantic-form-text-input>

      <semantic-form-text-input for="primary_title">
      </semantic-form-text-input>

      <semantic-form-text-input for="custom_identifier"></semantic-form-text-input>

      <semantic-form-select-input for="adaption_type"></semantic-form-select-input>

      <span class="disabled hidden-field">
        <semantic-form-text-input for="expression_record_type"></semantic-form-text-input>
        <semantic-form-text-input for="record_type"></semantic-form-text-input>
        <semantic-form-text-input for="expression_creation"></semantic-form-text-input>
        <semantic-form-text-input for="work_record"></semantic-form-text-input>
      </span>

      <div class="text-right form-submit">

          [[#if (urlParam "bookiri" )]]
            [[#if (urlParam "attributeassignmentiri" )]]
              <semantic-link uri="[[urlParam "returniri"]]"
                urlqueryparam-attributeassignmentiri="[[urlParam "attributeassignmentiri"]]"
                urlqueryparam-bookiri="[[urlParam "bookiri"]]"
                [[#if (urlParam "returntab")]]
                  urlqueryparam-tab="[[urlParam "returntab"]]"
                  urlqueryparam-returntab="[[urlParam "returntab"]]"
                [[/if]]
                class="btn btn-default btn-md">Cancel</semantic-link>
            [[else]]
              <semantic-link uri="[[urlParam "returniri"]]"
                urlqueryparam-bookiri="[[urlParam "bookiri"]]"
                [[#if (urlParam "returntab")]]
                  urlqueryparam-tab="[[urlParam "returntab"]]"
                  urlqueryparam-returntab="[[urlParam "returntab"]]"
                [[/if]]
                class="btn btn-default btn-md">Cancel</semantic-link>
            [[/if]]
          [[/if]]
          <button name="submit" class="btn btn-primary btn-md">Save</button>

      </div>
    </semantic-form>

  </bs-tab>
</bs-tabs>

[[> :footer]]
